VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::recovery::RestoreTypes::Metadata Class Reference

`Restore.Metadata` class Structure representing metadata More...

List of all members.

## Public Member Functions
| Metadata ()
| Creates a default new instance.
global::System.DateTimeOffset | GetTimestamp ()
| Time when this backup was completed.
void | SetTimestamp (global::System.DateTimeOffset timestamp)
| Time when this backup was completed.
global::System.Collections.Generic.List < string > | GetParts ()
| List of parts included in the backup.
void | SetParts (global::System.Collections.Generic.List< string > parts)
| List of parts included in the backup.
string | GetVersion ()
| VCSA version.
void | SetVersion (string version)
| VCSA version.
string | GetBoxname ()
| Box name is PNID/ FQDN etc.
void | SetBoxname (string boxname)
| Box name is PNID/ FQDN etc.
string | GetComment ()
| Custom comment.
void | SetComment (string comment)
| Custom comment.
bool | GetApplicable ()
| Does the VCSA match the deployment type, network properties and version of backed up VC.
void | SetApplicable (bool applicable)
| Does the VCSA match the deployment type, network properties and version of backed up VC.
global::System.Collections.Generic.List < vmware.appliance.recovery.RestoreTypes.LocalizableMessage > | GetMessages ()
| Any messages if the backup is not aplicable.
void | SetMessages (global::System.Collections.Generic.List< vmware.appliance.recovery.RestoreTypes.LocalizableMessage > messages)
| Any messages if the backup is not aplicable.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Restore.Metadata` class Structure representing metadata

## Constructor & Destructor Documentation

vmware::appliance::recovery::RestoreTypes::Metadata::Metadata | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::recovery::RestoreTypes::Metadata::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::recovery::RestoreTypes::Metadata::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::recovery::RestoreTypes::Metadata::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::recovery::RestoreTypes::Metadata::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::recovery::RestoreTypes::Metadata::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::recovery::RestoreTypes::Metadata::Equals | ( | object | obj | ) | `[inline]`

bool vmware::appliance::recovery::RestoreTypes::Metadata::GetApplicable | ( |  | ) | `[inline]`

Does the VCSA match the deployment type, network properties and version of backed up VC.

string vmware::appliance::recovery::RestoreTypes::Metadata::GetBoxname | ( |  | ) | `[inline]`

Box name is PNID/ FQDN etc.

string vmware::appliance::recovery::RestoreTypes::Metadata::GetComment | ( |  | ) | `[inline]`

Custom comment.

override int vmware::appliance::recovery::RestoreTypes::Metadata::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.List<vmware.appliance.recovery.RestoreTypes.LocalizableMessage> vmware::appliance::recovery::RestoreTypes::Metadata::GetMessages | ( |  | ) | `[inline]`

Any messages if the backup is not aplicable.

global::System.Collections.Generic.List<string> vmware::appliance::recovery::RestoreTypes::Metadata::GetParts | ( |  | ) | `[inline]`

List of parts included in the backup.

global::System.DateTimeOffset vmware::appliance::recovery::RestoreTypes::Metadata::GetTimestamp | ( |  | ) | `[inline]`

Time when this backup was completed.

string vmware::appliance::recovery::RestoreTypes::Metadata::GetVersion | ( |  | ) | `[inline]`

VCSA version.

void vmware::appliance::recovery::RestoreTypes::Metadata::SetApplicable | ( | bool | applicable | ) | `[inline]`

Does the VCSA match the deployment type, network properties and version of backed up VC.

void vmware::appliance::recovery::RestoreTypes::Metadata::SetBoxname | ( | string | boxname | ) | `[inline]`

Box name is PNID/ FQDN etc.

void vmware::appliance::recovery::RestoreTypes::Metadata::SetComment | ( | string | comment | ) | `[inline]`

Custom comment.

void vmware::appliance::recovery::RestoreTypes::Metadata::SetMessages | ( | global::System.Collections.Generic.List< vmware.appliance.recovery.RestoreTypes.LocalizableMessage > | messages | ) | `[inline]`

Any messages if the backup is not aplicable.

void vmware::appliance::recovery::RestoreTypes::Metadata::SetParts | ( | global::System.Collections.Generic.List< string > | parts | ) | `[inline]`

List of parts included in the backup.

void vmware::appliance::recovery::RestoreTypes::Metadata::SetTimestamp | ( | global::System.DateTimeOffset | timestamp | ) | `[inline]`

Time when this backup was completed.

void vmware::appliance::recovery::RestoreTypes::Metadata::SetVersion | ( | string | version | ) | `[inline]`

VCSA version.

override string vmware::appliance::recovery::RestoreTypes::Metadata::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- RestoreTypes.cs